Bug 199057 - unable to handle kernel NULL pointer dereference
unable to handle kernel NULL pointer dereference
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
5
All Linux
medium Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Brian Brock
MassClosed
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-07-16 13:44 EDT by Andreas Thienemann
Modified: 2008-01-19 23:37 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-01-19 23:37:08 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Andreas Thienemann 2006-07-16 13:44:56 EDT
The following message appears when disabling selinux enforcement with
"setenforce 0", starting openvpnd from extras, which would otherwise fail as
there is no fitting selinux policy, subsequently calling "setenforce 1" and
stopping openvpnd.

This is not a major problem, but should probably be caught somewhere.

BUG: unable to handle kernel NULL pointer dereference at virtual address 0000000b
 printing eip:
c048ed3a
*pde = 04591067
*pte = 00000000
Oops: 0000 [#1]
last sysfs file: /class/net/lo/type
Modules linked in: diva2i4l(U) isdn divas divadidd tun ppp_synctty ppp_async
crc_ccitt ppp_generic slhc 3c509 ip_conntrack_netbios_ns ipt_MASQUERADE
iptable_nat ip_nat ipt_REJECT xt_state ip_conntrack nfnetlink xt_tcpudp
iptable_filter ip_tables x_tables dm_mirror dm_mod lp parport_pc parport floppy
8139cp 8139too mii raid1 ext3 jbd
CPU:    0
EIP:    0060:[<c048ed3a>]    Not tainted VLI
EFLAGS: 00010286   (2.6.17-1.2145_FC5 #1)
EIP is at sysfs_hash_and_remove+0x18/0x100
eax: fffffff3   ebx: c06c95e4   ecx: c0434902   edx: fffffff3
esi: fffffff3   edi: fffffff3   ebp: c06c93a0   esp: c37e9eec
ds: 007b   es: 007b   ss: 0068
Process openvpn (pid: 22678, threadinfo=c37e9000 task=c73aa550)
Stack: c0637499 fffffff3 c06c93a0 c06c95e4 fffffff3 fffffff3 c06c93a0 c0491021
       c06c9478 c5f2f608 c049106f c5f2f600 00000004 c06c93a0 c05315d8 00000000
       00000000 c5f2f590 c5f2f400 c131ae10 c7fc4744 c059fda5 c5f2f400 c059ee39
Call Trace:
 <c0491021> remove_files+0x15/0x1e  <c049106f> sysfs_remove_group+0x45/0x5b
 <c05315d8> class_device_del+0x105/0x149  <c059fda5> netdev_run_todo+0x114/0x277
 <c059ee39> unregister_netdevice+0x1ec/0x212  <c0599ecf> skb_dequeue+0x39/0x3f
 <ca972692> tun_chr_close+0xb1/0xb9 [tun]  <c0456b29> __fput+0xb9/0x15f
 <c0454438> filp_close+0x52/0x59  <c0402cd7> syscall_call+0x7/0xb
Code: 8b 40 20 8b 40 30 c3 8b 40 14 8b 00 c3 8b 40 14 8b 00 c3 55 57 56 53 83 ec
0c 85 c0 89 44 24 04 89 14 24 0f 84 e2 00 00 00 89 c2 <8b> 40 18 85 c0 0f 84 d5
00 00 00 8b 52 60 05 84 00 00 00 89 54
EIP: [<c048ed3a>] sysfs_hash_and_remove+0x18/0x100 SS:ESP 0068:c37e9eec
 BUG: openvpn/22678, lock held at task exit time!
 [c06c8a80] {net_todo_run_mutex}
.. held by:           openvpn:22678 [c73aa550, 116]
... acquired at:               netdev_run_todo+0x1c/0x277
Comment 1 Dave Jones 2006-10-16 16:12:33 EDT
A new kernel update has been released (Version: 2.6.18-1.2200.fc5)
based upon a new upstream kernel release.

Please retest against this new kernel, as a large number of patches
go into each upstream release, possibly including changes that
may address this problem.

This bug has been placed in NEEDINFO state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

In the last few updates, some users upgrading from FC4->FC5
have reported that installing a kernel update has left their
systems unbootable. If you have been affected by this problem
please check you only have one version of device-mapper & lvm2
installed.  See bug 207474 for further details.

If this bug is a problem preventing you from installing the
release this version is filed against, please see bug 169613.

If this bug has been fixed, but you are now experiencing a different
problem, please file a separate bug for the new problem.

Thank you.
Comment 2 Jon Stanley 2008-01-19 23:37:08 EST
(this is a mass-close to kernel bugs in NEEDINFO state)

As indicated previously there has been no update on the progress of this bug
therefore I am closing it as INSUFFICIENT_DATA. Please re-open if the issue
still occurs for you and I will try to assist in its resolution. Thank you for
taking the time to report the initial bug.

If you believe that this bug was closed in error, please feel free to reopen
this bug.

Note You need to log in before you can comment on or make changes to this bug.